<script setup lang="ts">
import CCSelect from '../CCSelect.vue'
import CCInput from '../..//CCInput/CCInput.vue'
import CCModal from '../../CCModal/CCModal.vue'
import { ref } from 'vue'

const val = ref(true)
const inputVal = ref('20')
const option = [...Array(100).keys()].map(i => ({ label: `Option ${i}`, value: `${i}` }))
</script>

<template>
  <CCInput style="width: 195px" outline v-model="inputVal" />
  <CCSelect style="width: 195px" outline :options="option" v-model="inputVal" isDialog />
</template>

<style scoped>
._modal {
  z-index: 1000;
}
</style>
